//----------------------------------------------------------------------
//							4Bit Lcd Driver
//				   Write By Mohammad mazarei @ 1390/6/25
//					Email: mohammad.mazarei@gmail.com
//				Publish In Iranmicro.ir{Kavairelectronic}
//----------------------------------------------------------------------

#ifndef _LCD_H
#define _LCD_H


#define LCD_PORT	AT91C_BASE_PIOA	 // Or  AT91C_BASE_PIOB
#define LCD_PMC		AT91C_ID_PIOA	 // or 	 AT91C_ID_PIOB

#define LCD_RS			2
#define LCD_RW			3
#define LCD_EN			4
#define LCD_4D			5



#define LCD_Delay	delay_us(500)

void init_lcd(void);
void lcd_command(char cmd);
void lcd_data(char ch);
void lcd_gotoxy(char x, char y);
void lcd_Home(void);
void lcd_cls(void);
void lcd_LoadCustomChar(char* lcdCustomCharArray, char lcdCharNum);
void lcd_putc(char c);
void lcd_puts(char* data);

#endif
